Loading...
Searching...
No Matches
facAlgExt.h
Go to the documentation of this file.
/*****************************************************************************\
* Computer Algebra System SINGULAR
\*****************************************************************************/
/** @file facAlgExt.h
*
* Univariate factorization over algebraic extension of Q using Trager's
* algorithm
*
* @par Copyright:
* (c) by The SINGULAR Team, see LICENSE file
*
* @author Martin Lee
**/
//*****************************************************************************
#ifndef FAC_ALG_EXT_H
#define FAC_ALG_EXT_H
#include "cf_assert.h"
#include "canonicalform.h"
///factorize a univariate squarefree polynomial over algebraic extension of Q
///
/// @return @a AlgExtSqrfFactorize returns a list of factors of F
CFList
AlgExtSqrfFactorize (const CanonicalForm& F, ///<[in] a univariate squarefree
///< polynomial
const Variable& alpha ///<[in] an algebraic variable
);
/// factorize a univariate polynomial over algebraic extension of Q
///
/// @return @a AlgExtFactorize returns a list of factors of F with multiplicity
CFFList
AlgExtFactorize (const CanonicalForm& F, ///<[in] a univariate polynomial
const Variable& alpha ///<[in] an algebraic variable
);
#endif
canonicalform.h
Header for factory's main class CanonicalForm.
CFFList
List< CFFactor > CFFList
Definition canonicalform.h:393
CFList
List< CanonicalForm > CFList
Definition canonicalform.h:395
cf_assert.h
assertions for Factory
CanonicalForm
factory's main class
Definition canonicalform.h:86
Variable
factory's class for variables
Definition factory.h:127
alpha
Variable alpha
Definition facAbsBiFact.cc:52
AlgExtSqrfFactorize
CFList AlgExtSqrfFactorize(const CanonicalForm &F, const Variable &alpha)
factorize a univariate squarefree polynomial over algebraic extension of Q
Definition facAlgExt.cc:148
AlgExtFactorize
CFFList AlgExtFactorize(const CanonicalForm &F, const Variable &alpha)
factorize a univariate polynomial over algebraic extension of Q
Definition facAlgExt.cc:370